Subject: Re: linux-next: build failure after merge of the kspp tree

From: Saeed Mahameed <[email-masked]>
Date: Mon, 31 Jan 2022 11:10:19 -0800

On 30 Jan 22:19, Kees Cook wrote:
>On Mon, Jan 31, 2022 at 03:59:32PM +1100, Stephen Rothwell wrote:
>> On Sun, 30 Jan 2022 20:04:00 -0800 Kees Cook <[email-masked]> wrote:
>> >
>> > This should be fixed by:
>> > https://lore.kernel.org/linux-hardening/[email-masked]/
>> > (I was expecting this to be in netdev by now.)
>> >
>> > This should be fixed in:
>> > https://lore.kernel.org/linux-hardening/[email-masked]/
>> > (Again, this was expected to be in netdev by now.)
>> >
>>
>> yeah, neither has made it yet.  However, it would not have helped as I
>> am merging the kspp tree very early so that new bugs get fixed in the
>> trees that introduce them.  These 2 are in Linus tree (for a long time)
>> and so it would be better if these fixes went int the net tree and then
>> Linus' tree as bug fixes.
>

I need proper fixes tags to submit to net, can you provide ? 

another option is to use a shared branch with those fixes and pull it to
both net-next and kspp.

let me know what option do you prefer.

-Saeed.